CMVision Class Reference

## Classes

struct | color_info
struct | line
struct | point
struct | rectangle
struct | region
struct | rle

## Public Member Functions

bool | initialize (int nwidth, int nheight)
bool | loadOptions (char *filename)
bool | saveOptions (char *filename)
bool | enable (unsigned opt)
bool | disable (unsigned opt)
void | close ()
bool | testClassify (rgb *restrict out, image_pixel *restrict image)
bool | getThreshold (int color, int &y_low, int &y_high, int &u_low, int &u_high, int &v_low, int &v_high)
bool | setThreshold (int color, int y_low, int y_high, int u_low, int u_high, int v_low, int v_high)
unsigned * | getMap ()
char * | getColorName (int color)
rgb | getColorVisual (int color)
color_info * | getColorInfo (int color)
void | getColorInfo (int color, color_info &info)
void | setColorInfo (int color, color_info &info)
bool | processFrame (image_pixel *image)
bool | processFrame (unsigned *map)
int | numRegions (int color_id)
region * | getRegions (int color_id)
void | set_cmv_min_area (int area)
void | set_cmv_max_area (int area)

## Protected Member Functions

void | classifyFrame (image_pixel *restrict img, unsigned *restrict map)
int | encodeRuns (rle *restrict out, unsigned *restrict map)
void | connectComponents (rle *restrict map, int num)
int | extractRegions (region *restrict reg, rle *restrict rmap, int num)
void | calcAverageColors (region *restrict reg, int num_reg, image_pixel *restrict img, rle *restrict rmap, int num_runs)
int | separateRegions (region *restrict reg, int num)
region * | sortRegionListByArea (region *restrict list, int passes)
void | sortRegions (int max_area)
int | mergeRegions (region *p, int num, double density_thresh)
int | mergeRegions ()
void | clear ()

## Protected Attributes

unsigned | y_class [CMV_COLOR_LEVELS]
unsigned | u_class [CMV_COLOR_LEVELS]
unsigned | v_class [CMV_COLOR_LEVELS]
region | region_table [CMV_MAX_REGIONS]
region * | region_list [CMV_MAX_COLORS]
int | region_count [CMV_MAX_COLORS]
rle | rmap [CMV_MAX_RUNS]
color_info | colors [CMV_MAX_COLORS]
int | width
int | height
unsigned * | map
unsigned | options
int | cmv_min_area
int | cmv_max_area

The documentation for this class was generated from the following files:

- cmvision.h
- cmvision.cc

Last updated 12 September 2005 21:38:45